#include <mysql.h>
#include <string.h>
#include <stdio.h>

int main(int argc, char **argv)
{
    MYSQL       *connection=NULL, conn;
    MYSQL_RES   *sql_result;
    MYSQL_ROW   sql_row;
    int       query_stat; 

    char name[12];
    char address[80];
    char tel[12];
    char query[255];
    
    mysql_init(&conn);

    connection = mysql_real_connect(&conn, argv[1],
                                    argv[2], argv[3],
                                    "", 3306,
                                    (char *)NULL, 0);

	if(argc < 3)
	{
		printf("\nMySQL Process Counter\n");
		printf("Usage : mysql_cnt host user [password]\n\n");
		return 1;
	}
	
	if (connection == NULL)
    {
        fprintf(stderr, "Mysql connection error : %s", mysql_error(&conn));
        return 1;
    }

    query_stat = mysql_query(connection, "SHOW PROCESSLIST");
    if (query_stat != 0)
    {
        fprintf(stderr, "Mysql query error : %s", mysql_error(&conn));
        return 1;
    }
    
    sql_result = mysql_store_result(connection);
    printf("%d",mysql_affected_rows(connection)-1);
    mysql_free_result(sql_result);
    mysql_close(connection);
}
